/stocks/stock-status
This endpoint allows you to list all Stock Status. A stock status corresponds to an existing stock in a warehouse for a material.
getStockStatus
| Name | Type | Description |
|---|---|---|
s_warehouse_id
|
string |
Filter by warehouse id |
s_material_id
|
string |
Filter by material id |
data
array<object>
id
string
required
read-only
ID of the StockStatus
type
string
required
read-only
Model type
stock-status
attributes
object
required
material_id
integer
read-only
ID of the Material
Example: 1
warehouse_id
integer
read-only
ID of the Warehouse
Example: 1
quantity
number
read-only
Quantity of the material present in the warehouse
mean_price
number | null
read-only
Mean price of the material associated with the warehouse
observations
string | null
read-only
Description or notes
included
array<object>
List of relationships to be included
meta
object
Meta model structure details
pagination
object
total
integer
required
Total items.
Example: 1
count
integer
required
Total items returned for the current page.
Example: 1
per_page
integer
required
Maximum number of records per page.
Example: 1
current_page
integer
required
Number of the current page.
total_pages
integer
required
Number of the total pages.
links
object
Requests that return multiple items include a `links` attribute, with links related to request's context.
self
string
required
read-only
Current response link.
Example: /path?page=1
first
string
required
read-only
Link to the first page result.
Example: /path?page=1
last
string
required
read-only
Link to the previous page result.
Example: /path?page=1
next
string
read-only
Link to the next page result.
Example: /path?page=1
status
string
error
error
object
properties
object
Only present when related to property validation error
dev_message
string
Example: Property validation error. Check the "properties" section in the response.
http_code
integer
400
message
string
Example: Property validation error.
more_info
string
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X GET \
'https://api.sandbox.infraspeak.com/v3/stocks/stock-status' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/stocks/stock-status', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->get('https://api.sandbox.infraspeak.com/v3/stocks/stock-status');
import requests
response = requests.get(
'https://api.sandbox.infraspeak.com/v3/stocks/stock-status',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()